Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.model
Enum Connection.Error

    java.lang.Object
      java.lang.Enum<Connection.Error>
          org.teleal.cling.support.model.Connection.Error

All Implemented Interfaces:
  Serializable, Comparable<Connection.Error>

Enclosing class:
  Connection

    public static enum Connection.Error

extends Enum<Connection.Error>

Enum Constant Summary
`ERROR_COMMAND_ABORTED`
`ERROR_FORCED_DISCONNECT`
`ERROR_IDLE_DISCONNECT`
`ERROR_IP_CONFIGURATION`
`ERROR_ISP_DISCONNECT`
`ERROR_NO_CARRIER`
`ERROR_NONE`
`ERROR_NOT_ENABLED_FOR_INTERNET`
`ERROR_UNKNOWN`
`ERROR_USER_DISCONNECT`

Method Summary
`static Connection.Error` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Connection.Error[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR_NONE

    public static final Connection.Error ERROR_NONE

### ERROR_COMMAND_ABORTED

    public static final Connection.Error ERROR_COMMAND_ABORTED

### ERROR_NOT_ENABLED_FOR_INTERNET

    public static final Connection.Error ERROR_NOT_ENABLED_FOR_INTERNET

### ERROR_USER_DISCONNECT

    public static final Connection.Error ERROR_USER_DISCONNECT

### ERROR_ISP_DISCONNECT

    public static final Connection.Error ERROR_ISP_DISCONNECT

### ERROR_IDLE_DISCONNECT

    public static final Connection.Error ERROR_IDLE_DISCONNECT

### ERROR_FORCED_DISCONNECT

    public static final Connection.Error ERROR_FORCED_DISCONNECT

### ERROR_NO_CARRIER

    public static final Connection.Error ERROR_NO_CARRIER

### ERROR_IP_CONFIGURATION

    public static final Connection.Error ERROR_IP_CONFIGURATION

### ERROR_UNKNOWN

    public static final Connection.Error ERROR_UNKNOWN

Method Detail

### values

    public static Connection.Error[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Connection.Error c : Connection.Error.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Connection.Error valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.